slas2.f(3)

NAME
slas2.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLAS2 (F, G, H, SSMIN, SSMAX)
SLAS2

Function/Subroutine Documentation

  subroutine SLAS2 (REALF, REALG, REALH, REALSSMIN, REALSSMAX)

SLAS2

Purpose:

     SLAS2  computes the singular values of the 2-by-2 matrix
        [  F   G  ]
        [  0   H  ].
     On return, SSMIN is the smaller singular value and SSMAX is the
     larger singular value.

Parameters:
    F

              F is REAL
              The (1,1) element of the 2-by-2 matrix.

    G

              G is REAL
              The (1,2) element of the 2-by-2 matrix.

    H

              H is REAL
              The (2,2) element of the 2-by-2 matrix.

    SSMIN

              SSMIN is REAL
              The smaller singular value.

    SSMAX

              SSMAX is REAL
              The larger singular value.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Further Details:

      Barring over/underflow, all output quantities are correct to within
      a few units in the last place (ulps), even in the absence of a guard
      digit in addition/subtraction.
      In IEEE arithmetic, the code works correctly if one matrix element is
      infinite.
      Overflow will not occur unless the largest singular value itself
      overflows, or is within a few ulps of overflow. (On machines with
      partial overflow, like the Cray, overflow may occur if the largest
      singular value is within a factor of 2 of overflow.)
      Underflow is harmless if underflow is gradual. Otherwise, results
      may correspond to a matrix modified by perturbations of size near
      the underflow threshold.

Definition at line 108 of file slas2.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.